Bug 1559462 - Gnome Software offers enabling third-party repos but does not provide any additional, specific information
Summary: Gnome Software offers enabling third-party repos but does not provide any add...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
(Show other bugs)
Version: 28
Hardware: All Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 15:36 UTC by Flo H.
Modified: 2018-04-17 00:20 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.28.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-17 00:20:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 3rd party message (24.27 KB, image/png)
2018-03-22 15:36 UTC, Flo H.
no flags Details

Description Flo H. 2018-03-22 15:36:05 UTC
Created attachment 1411791 [details]
screenshot 3rd party message

Description of problem:
Starting in Fedora 28, Gnome Software is offering to enable third-party repositories.
There is no information provided about 
 - what that/those repositorie(s) are (COPR, flathub, rpmfusion, negativo, ...???)
 - who the owners are
 - where they are hosted
 - what licenses are used

The actual bug is that the dialog offers to "Find out more ..." which redirects to https://en.wikipedia.org/wiki/Proprietary_software 

That's not helpful - the information should provide specifics about the third-party repo, not a general article about proprietary software

Version-Release number of selected component (if applicable):
gnome-software 3.28.0

Steps to Reproduce:
1. Install what will be Fedora 28
2. Open Gnome Software
3.

Actual results:
See screenshot: https://pasteboard.co/Hd5X9zv.png


Expected results:
Explain what's going on here and link to relevant and specific information


Additional info:

Comment 1 Kalev Lember 2018-04-13 15:53:14 UTC
Should be fixed in 3.28.1 that points to a new Wiki page explaining the third party repositories.

Comment 2 Fedora Update System 2018-04-13 16:00:00 UTC
bijiben-3.28.1-1.fc28 devhelp-3.28.1-1.fc28 eog-3.28.1-1.fc28 epiphany-3.28.1-1.fc28 evince-3.28.2-1.fc28 evolution-3.28.1-2.fc28 evolution-data-server-3.28.1-2.fc28 evolution-ews-3.28.1-1.fc28 evolution-mapi-3.28.1-1.fc28 gdk-pixbuf2-2.36.12-1.fc28 gdm-3.28.1-1.fc28 gedit-3.28.1-1.fc28 gedit-plugins-3.28.1-1.fc28 gjs-1.52.1-1.fc28 glib2-2.56.1-1.fc28 gnome-boxes-3.28.2-1.fc28 gnome-builder-3.28.1-1.fc28 gnome-calculator-3.28.1-1.fc28 gnome-calendar-3.28.1-1.fc28 gnome-chess-3.28.1-1.fc28 gnome-contacts-3.28.1-1.fc28 gnome-desktop3-3.28.1-1.fc28 gnome-disk-utility-3.28.1-1.fc28 gnome-getting-started-docs-3.28.1-1.fc28 gnome-maps-3.28.1-1.fc28 gnome-music-3.28.1-1.fc28 gnome-session-3.28.1-1.fc28 gnome-settings-daemon-3.28.1-1.fc28 gnome-software-3.28.1-1.fc28 gnome-sound-recorder-3.28.1-1.fc28 gnome-system-monitor-3.28.1-1.fc28 gnome-todo-3.28.1-1.fc28 gnome-tweaks-3.28.1-1.fc28 gnome-user-docs-3.28.1-1.fc28 gnome-user-share-3.28.0-1.fc28 gobject-introspection-1.56.1-1.fc28 gvfs-1.36.1-1.fc28 libdazzle-3.28.1-1.fc28 libsoup-2.62.1-1.fc28 mm-common-0.9.12-1.fc28 nautilus-3.28.1-1.fc28 pango-1.42.1-1.fc28 shotwell-0.28.2-1.fc28 simple-scan-3.28.1-1.fc28 sysprof-3.28.1-1.fc28 vala-0.40.3-1.fc28 vte291-0.52.1-1.fc28 webkit2gtk3-2.20.1-1.fc28 yelp-3.28.1-1.fc28 zenity-3.28.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e67e16187d

Comment 3 Fedora Update System 2018-04-15 02:25:26 UTC
bijiben-3.28.1-1.fc28, devhelp-3.28.1-1.fc28, eog-3.28.1-2.fc28, epiphany-3.28.1-1.fc28, evince-3.28.2-1.fc28, evolution-3.28.1-2.fc28, evolution-data-server-3.28.1-2.fc28, evolution-ews-3.28.1-1.fc28, evolution-mapi-3.28.1-1.fc28, gdk-pixbuf2-2.36.12-1.fc28, gdm-3.28.1-1.fc28, gedit-3.28.1-1.fc28, gedit-plugins-3.28.1-1.fc28, gjs-1.52.1-1.fc28, glib2-2.56.1-1.fc28, gnome-boxes-3.28.2-1.fc28, gnome-builder-3.28.1-1.fc28, gnome-calculator-3.28.1-1.fc28, gnome-calendar-3.28.1-1.fc28, gnome-chess-3.28.1-1.fc28, gnome-contacts-3.28.1-1.fc28, gnome-desktop3-3.28.1-1.fc28, gnome-disk-utility-3.28.1-1.fc28, gnome-getting-started-docs-3.28.1-1.fc28, gnome-maps-3.28.1-1.fc28, gnome-music-3.28.1-1.fc28, gnome-session-3.28.1-1.fc28, gnome-settings-daemon-3.28.1-1.fc28, gnome-shell-3.28.1-1.fc28, gnome-shell-extensions-3.28.1-1.fc28, gnome-software-3.28.1-1.fc28, gnome-sound-recorder-3.28.1-1.fc28, gnome-system-monitor-3.28.1-1.fc28, gnome-terminal-3.28.1-1.fc28, gnome-todo-3.28.1-1.fc28, gnome-tweaks-3.28.1-1.fc28, gnome-user-docs-3.28.1-1.fc28, gnome-user-share-3.28.0-1.fc28, gobject-introspection-1.56.1-1.fc28, gvfs-1.36.1-1.fc28, libdazzle-3.28.1-1.fc28, libsoup-2.62.1-1.fc28, mm-common-0.9.12-1.fc28, mutter-3.28.1-1.fc28, nautilus-3.28.1-1.fc28, pango-1.42.1-1.fc28, shotwell-0.28.2-1.fc28, simple-scan-3.28.1-1.fc28, sysprof-3.28.1-1.fc28, vala-0.40.3-1.fc28, vte291-0.52.1-1.fc28, webkit2gtk3-2.20.1-1.fc28, yelp-3.28.1-1.fc28, zenity-3.28.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e67e16187d

Comment 4 Fedora Update System 2018-04-17 00:20:57 UTC
bijiben-3.28.1-1.fc28, devhelp-3.28.1-1.fc28, eog-3.28.1-2.fc28, epiphany-3.28.1-1.fc28, evince-3.28.2-1.fc28, evolution-3.28.1-2.fc28, evolution-data-server-3.28.1-2.fc28, evolution-ews-3.28.1-1.fc28, evolution-mapi-3.28.1-1.fc28, gdk-pixbuf2-2.36.12-1.fc28, gdm-3.28.1-1.fc28, gedit-3.28.1-1.fc28, gedit-plugins-3.28.1-1.fc28, gjs-1.52.1-1.fc28, glib2-2.56.1-1.fc28, gnome-boxes-3.28.2-1.fc28, gnome-builder-3.28.1-1.fc28, gnome-calculator-3.28.1-1.fc28, gnome-calendar-3.28.1-1.fc28, gnome-chess-3.28.1-1.fc28, gnome-contacts-3.28.1-1.fc28, gnome-desktop3-3.28.1-1.fc28, gnome-disk-utility-3.28.1-1.fc28, gnome-getting-started-docs-3.28.1-1.fc28, gnome-maps-3.28.1-1.fc28, gnome-music-3.28.1-1.fc28, gnome-session-3.28.1-1.fc28, gnome-settings-daemon-3.28.1-1.fc28, gnome-shell-3.28.1-1.fc28, gnome-shell-extensions-3.28.1-1.fc28, gnome-software-3.28.1-1.fc28, gnome-sound-recorder-3.28.1-1.fc28, gnome-system-monitor-3.28.1-1.fc28, gnome-terminal-3.28.1-1.fc28, gnome-todo-3.28.1-1.fc28, gnome-tweaks-3.28.1-1.fc28, gnome-user-docs-3.28.1-1.fc28, gnome-user-share-3.28.0-1.fc28, gobject-introspection-1.56.1-1.fc28, gvfs-1.36.1-1.fc28, libdazzle-3.28.1-1.fc28, libsoup-2.62.1-1.fc28, mm-common-0.9.12-1.fc28, mutter-3.28.1-1.fc28, nautilus-3.28.1-1.fc28, pango-1.42.1-1.fc28, shotwell-0.28.2-1.fc28, simple-scan-3.28.1-1.fc28, sysprof-3.28.1-1.fc28, vala-0.40.3-1.fc28, vte291-0.52.1-1.fc28, webkit2gtk3-2.20.1-1.fc28, yelp-3.28.1-1.fc28, zenity-3.28.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.